Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Indirection Class Reference

## Public Member Functions
| __init__ (self, evalStr=None, dictKey=NoDictKey)
| __repr__ (self)
| acquire (self)
| dereferenceDictKey (self, parentDict)
| destroy (self)
| getString (self, prevIndirection=None, nextIndirection=None)
| isDictKey (self)
| release (self)

## Public Attributes
| dictKey = NoDictKey
str | evalStr = evalStr

## Protected Member Functions
| _getNonWeakDictKey (self)

## Protected Attributes
bool | _isWeakRef = False
int | _refCount = 0

## Detailed Description

    Represents the indirection that brings you from a container to an element of the container.
    Stored as a string to be used as part of an eval, or as a key to be looked up in a dict.
    Each dictionary dereference is individually eval'd since the dict key might have been
    garbage-collected
    TODO: store string components that are duplicates of strings in the actual system so that
    Python will keep one copy and reduce memory usage

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | evalStr = None,
|  |  | dictKey = NoDictKey )

## Member Function Documentation

## ◆ __repr__()

__repr__ | ( |  | self | ) |

## ◆ _getNonWeakDictKey()

_getNonWeakDictKey | ( |  | self | ) |
| protected

## ◆ acquire()

acquire | ( |  | self | ) |

## ◆ dereferenceDictKey()

dereferenceDictKey | ( |  | self,
|  |  | parentDict )

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ getString()

getString | ( |  | self,
|  |  | prevIndirection = None,
|  |  | nextIndirection = None )

## ◆ isDictKey()

isDictKey | ( |  | self | ) |

## ◆ release()

release | ( |  | self | ) |

## Member Data Documentation

## ◆ _isWeakRef

bool _isWeakRef = False
| protected

## ◆ _refCount

int _refCount = 0
| protected

## ◆ dictKey

dictKey = NoDictKey

## ◆ evalStr

str evalStr = evalStr